Package tigase.util.log

## Class LogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - tigase.util.log.LogFormatter

-     public class LogFormatter
      extends java.util.logging.Formatter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.Map<java.lang.Integer,​LogWithStackTraceEntry>` | `errors` |
    `protected java.util.Date` | `timestamp` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogFormatter()` |
    `LogFormatter​(boolean colorful)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addError​(java.lang.Throwable thrown, java.lang.String stack, java.lang.String log_msg)` |
    `static java.lang.String` | `fillThrowable​(java.lang.Throwable throwable)` |
    `java.lang.String` | `format​(java.util.logging.LogRecord record)` |

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errors

          public static final java.util.Map<java.lang.Integer,​LogWithStackTraceEntry> errors

    - #### timestamp

          protected java.util.Date timestamp

  - ### Constructor Detail

    - #### LogFormatter

          public LogFormatter()

    - #### LogFormatter

          public LogFormatter​(boolean colorful)

  - ### Method Detail

    - #### format

          public java.lang.String format​(java.util.logging.LogRecord record)

      Specified by:
        `format` in class `java.util.logging.Formatter`

    - #### addError

          protected void addError​(java.lang.Throwable thrown,
                                  java.lang.String stack,
                                  java.lang.String log_msg)

    - #### fillThrowable

          public static java.lang.String fillThrowable​(java.lang.Throwable throwable)